Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Still on 1.5.3 Should I update or stay on this version??

Discussion in 'Pro/Adv Discussion' started by Tino_A, Apr 23, 2016.

  1. Tino_A

    Joined:
    Apr 8, 2015
    Messages:
    41
    Likes Received:
    11
    It's been a few months since I've taken the P3P out for a flight. With the weather looking good I want to start flying around again.

    I swore I would never touch the firmware again after the last fiasco I had with broken features after I updated. I haven't touched a thing in months on purpose. Are there any benefits to updating the firmware to the recent ones or should I leave things the way they are?

    This is what everything is currently:

    P3P - 1.5.3
    Remote - 1.5.7
    DJI Go (IOS) - 2.5.1

    Thanks in advance!
     
  2. Oso

    Oso

    Joined:
    May 19, 2015
    Messages:
    2,535
    Likes Received:
    1,482
    Location:
    Sacramento CA
    My advice would be to move from 1.5.3 since it is known to be unstable with regards to battery power management.
     
  3. Quadcopterpilot

    Joined:
    Nov 25, 2015
    Messages:
    260
    Likes Received:
    69
    Location:
    Grimsby, Ontario, Canada
    If you are happy and everything works then no reason to update.
    For me I like to stay current so I'm on the latest versions.
    It's personal choice unless there is a critical bug fix or new feature you like.
     
  4. Tino_A

    Joined:
    Apr 8, 2015
    Messages:
    41
    Likes Received:
    11

    Have they pulled any features or functions from the 1.5.3 firmware? I thought I remember seeing something about slower speeds but not sure if that was to do with the battery temp control or if its changed the max speed entirely.

    Also does anyone know if keeping bird at 1.5.3 and updating only DJI go possible?
     
  5. Oso

    Oso

    Joined:
    May 19, 2015
    Messages:
    2,535
    Likes Received:
    1,482
    Location:
    Sacramento CA
    If you are wondering why 1.5 is considered unstable, follow the link in this post:
    Is the IOS DJI go app version 2.4.3 compatible with the 1.5.3 or 1.6.4 Phantom 3 Pro?
     
  6. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    19,022
    Likes Received:
    5,599
    Location:
    US
    1.5 is the only Phantom 3 firmware version that nobody should be using. Anything older or newer is stable and okay to use.
     
    Oso likes this.
  7. Tino_A

    Joined:
    Apr 8, 2015
    Messages:
    41
    Likes Received:
    11
    I only see 1.3.2, 1.7.006, or 1.8.8 links to download. Am I missing something or are those my only options?
     
  8. Oso

    Oso

    Joined:
    May 19, 2015
    Messages:
    2,535
    Likes Received:
    1,482
    Location:
    Sacramento CA
    All legacy FW is available directly from DJI even if you dont see it on their download page:

    Scared need to update 1.1.9+
     
    #8 Oso, Apr 23, 2016
    Last edited: Apr 23, 2016